Create Channel Listings
Creates one or more Channel Listings for a specific channel. We recommend using this endpoint for non-storefront channels like marketplaces, marketing channels, and point of sale (POS) channels.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
channel_id
The ID of a channel.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects a list of objects.
product_id
The ID of the product associated with this channel listing.
state
The state of the product assignment or channel listing.
variants
external_id
Associated ID within a system / platform outside of BC.
name
Name of the product for this channel listing specifically. This is an optional field that can be used to override the product name in the catalog.
description
Description of the product for this channel listing specifically. This is an optional field that can be used to override the product description in the catalog.
Response
One or more channel listings.
data
meta
Data about the response, including pagination.
Errors
422
Unprocessable Entity Error